# -*- coding: utf-8 -*-
from plone.app.contenttypes.testing import PLONE_APP_CONTENTTYPES_FIXTURE
from plone.app.robotframework.testing import REMOTE_LIBRARY_BUNDLE_FIXTURE
from plone.app.testing import applyProfile
from plone.app.testing import FunctionalTesting
from plone.app.testing import IntegrationTesting
from plone.app.testing import PloneSandboxLayer
from plone.testing import z2

import rc.customcontent


class RcCustomcontentLayer(PloneSandboxLayer):

    defaultBases = (PLONE_APP_CONTENTTYPES_FIXTURE,)

    def setUpZope(self, app, configurationContext):
        # Load any other ZCML that is required for your tests.
        # The z3c.autoinclude feature is disabled in the Plone fixture base
        # layer.
        self.loadZCML(package=rc.customcontent)

    def setUpPloneSite(self, portal):
        applyProfile(portal, 'rc.customcontent:default')


RC_CUSTOMCONTENT_FIXTURE = RcCustomcontentLayer()


RC_CUSTOMCONTENT_INTEGRATION_TESTING = IntegrationTesting(
    bases=(RC_CUSTOMCONTENT_FIXTURE,),
    name='RcCustomcontentLayer:IntegrationTesting',
)


RC_CUSTOMCONTENT_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(RC_CUSTOMCONTENT_FIXTURE,),
    name='RcCustomcontentLayer:FunctionalTesting',
)


RC_CUSTOMCONTENT_ACCEPTANCE_TESTING = FunctionalTesting(
    bases=(
        RC_CUSTOMCONTENT_FIXTURE,
        REMOTE_LIBRARY_BUNDLE_FIXTURE,
        z2.ZSERVER_FIXTURE,
    ),
    name='RcCustomcontentLayer:AcceptanceTesting',
)
